# Airgap NG

A slim version of Arch Linux intended to run on airgapped (always-offline)
systems. The builder runs in Docker using privileged mode.

## Target Packages

Airgap NG is built for the purpose of providing an airgapped image of Keyfork.
As such, it builds an Arch package for Keyfork and a local Arch package
repository from which to install Keyfork. The base installation image will also
include Nettle, PCSC Lite

## Building

Requirements:

* `docker`
* `make`

The default target is the `airgap` image, but a different one can be specified.

```sh
config="airgap"
make "out/archlinux-baseline-arch-${config}-x86_64.iso"
```

## Flashing

Assuming your block device is `/dev/sdb`:

```sh
pv < out/archlinux-baseline-arch-airgap-x86_64.iso | sudo dd of=/dev/sdb
```

Alternatively, if `pv` is not installed, the following can be run:

```sh
sudo dd if=out/archlinux-baseline-arch-airgap-x86_64.iso of=/dev/sdb
```

## Running

Once the ISO image has been flashed to a USB drive, the drive can be used to
boot Airgap Arch Linux. The following instructions have been tested on a Lenovo
system but may be applicable to other systems:

Power on the device, and spam the F2 key. This will open the BIOS Setup
Utility. In the BIOS Setup Utility, the "Secure Boot" option (often under a
submenu "Boot") should be disabled. Save the settings (typically F10) and
reboot, spamming the F12 key to open the EFI boot menu. Select the EFI USB
Device option to boot Airgap Arch Linux. The default terminal should be
automatically logged in as root.
